<script setup>
import data from '@/json/home/callForPrice.json'
</script>

<template>
    <div class="CallForPrice">
        <v-container>
            <v-row>
                <v-col cols="12">
                    <div class="inquiry-bg">
                        <img src="/img/inquiry-bg.png" alt="">
                        <h2>{{ data.title }} </h2>
                        <p>
                            {{ data.text }}
                        </p>
                        <nuxt-link to="/inquiry">
                            <v-btn size="large" class="mx-auto text-center d-block"> {{ data.buttonText }}</v-btn>
                        </nuxt-link>
                    </div>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>

<style scoped lang="scss">
.CallForPrice {
    .inquiry-bg {
        position: relative;
        padding: 60px;
        background: #000c37;
        border-radius: 24px;
        overflow: hidden;

        img {
            position: absolute;
            top: 0;
        }

        h2 {
            font-weight: 700;
            font-size: 24px;
            line-height: 48px;
            text-align: center;
            color: #f8f9fd;
            margin-bottom: 40px;
        }

        p {
            display: block;
            margin: 0 auto 50px;
            text-align: center;
            font-weight: 500;
            font-size: 16px;
            line-height: 26px;
            color: #e0e4ec;
        }

        .v-btn {
            font-weight: 800 !important;
        }
    }


    @media only screen and (max-width: 768px) {


        h2 {
            font-size: 20px;
            line-height: 31px;
            margin-bottom: 16px;
        }

        p {
            font-size: 14px;
            margin-bottom: 22px;
        }
    }

    @media only screen and (max-width: 360px) {
        .inquiry-bg {
            padding: 24px 16px;

            h2 {
                font-size: 16px;
                line-height: 25px;
                margin-bottom: 8px;
            }

            p {
                font-size: 12px;
                margin-bottom: 8px;
                text-align: justify;
            }

            .v-btn {
                width: 100%;
            }
        }

    }
}
</style>